package com.jxdinfo.hussar.core.bouncycastle.asn1.cryptopro;

package .var.folders._j.vfbv187d0bb8b8w5spzgg8180000gn.T;

import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Encodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1EncodableVector;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1Sequence;
import com.jxdinfo.hussar.core.bouncycastle.asn1.ASN1TaggedObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DEREncodable;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObject;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERObjectIdentifier;
import com.jxdinfo.hussar.core.bouncycastle.asn1.DERSequence;
import com.jxdinfo.hussar.core.support.ClassKit;

public class GOST3410PublicKeyAlgParameters extends ASN1Encodable {
  private DERObjectIdentifier C;
  
  private DERObjectIdentifier e;
  
  private DERObjectIdentifier while;
  
  public DERObjectIdentifier getEncryptionParamSet() {
    return this.C;
  }
  
  public GOST3410PublicKeyAlgParameters(ASN1Sequence aSN1Sequence) {
    this.e = (DERObjectIdentifier)aSN1Sequence.getObjectAt(0);
    this.while = (DERObjectIdentifier)aSN1Sequence.getObjectAt(1);
    if (aSN1Sequence.size() > 2)
      this.C = (DERObjectIdentifier)aSN1Sequence.getObjectAt(2); 
  }
  
  public GOST3410PublicKeyAlgParameters(DERObjectIdentifier dERObjectIdentifier1, DERObjectIdentifier dERObjectIdentifier2, DERObjectIdentifier dERObjectIdentifier3) {
    this.e = dERObjectIdentifier1;
    this.while = dERObjectIdentifier2;
    this.C = dERObjectIdentifier3;
  }
  
  public DERObjectIdentifier getPublicKeyParamSet() {
    return this.e;
  }
  
  public GOST3410PublicKeyAlgParameters(DERObjectIdentifier dERObjectIdentifier1, DERObjectIdentifier dERObjectIdentifier2) {
    this.e = dERObjectIdentifier1;
    this.while = dERObjectIdentifier2;
    this.C = null;
  }
  
  public DERObject toASN1Object() {
    aSN1EncodableVector.add((DEREncodable)this.e);
    ASN1EncodableVector aSN1EncodableVector;
    (aSN1EncodableVector = new ASN1EncodableVector()).add((DEREncodable)this.while);
    if (this.C != null)
      aSN1EncodableVector.add((DEREncodable)this.C); 
    return (DERObject)new DERSequence(aSN1EncodableVector);
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.cryptopro.GOST3410PublicKeyAlgParameters getInstance(Object a) {
    if (a == null || a instanceof com.jxdinfo.hussar.core.bouncycastle.asn1.cryptopro.GOST3410PublicKeyAlgParameters)
      return (com.jxdinfo.hussar.core.bouncycastle.asn1.cryptopro.GOST3410PublicKeyAlgParameters)a; 
    while (true) {
      if (a instanceof ASN1Sequence)
        return new com.jxdinfo.hussar.core.bouncycastle.asn1.cryptopro.GOST3410PublicKeyAlgParameters((ASN1Sequence)a); 
      while (true)
        throw new IllegalArgumentException((new StringBuilder()).insert(0, ClassKit.throw("3\b4*\003)\000W\024\t1\001BrSz>#\0242\032'\0220\003nP")).append(a.getClass().getName()).toString()); 
    } 
    while (true)
      throw new IllegalArgumentException((new StringBuilder()).insert(0, ClassKit.throw("3\b4*\003)\000W\024\t1\001BrSz>#\0242\032'\0220\003nP")).append(a.getClass().getName()).toString()); 
  }
  
  public DERObjectIdentifier getDigestParamSet() {
    return this.while;
  }
  
  public static com.jxdinfo.hussar.core.bouncycastle.asn1.cryptopro.GOST3410PublicKeyAlgParameters getInstance(ASN1TaggedObject a, int i) {
    return getInstance(ASN1Sequence.getInstance(a, i));
  }
}
